## Overview

fedtechjobber is a simple command line Ruby program that queries the USAJobs API for open tech federal job postings and generates/emails an HTML report displaying available job data along with any available agency GitHub profiles (via USA.gov's Social Media API - http://registry.usa.gov/accounts?service_id=github). The following (optional) search criteria from USAJobs can be used (https://data.usajobs.gov/Rest):
* Job title
* Min salary
* State
* Country 
* Min grade
* Keywords

If you want the results emailed:
* Gmail user id
* Gmail password
* To address

Credentials are sent via TLS to Google.

Tested on Ruby 2.0.

## Install and Execution

Install as a Ruby gem.

    $ gem install fedtechjobber

Execution format:

    $ fedtechjobber -t<title, use single quotes if multiple words> -m<min salary> -s<state> -c<country> -g<min grade> -k<keywords, one or more separated with comma for AND search> -o<keywords, one or more separated with comma for OR search> -u<gmail user id> -p<gmail password> -e<email to address>

Example:

    $ fedtechjobber -t'IT Specialist' -m60000 -c'United States' -opython,ruby,groovy,scala,java -ubob -pbobpasswd -ebob@bob.com

Generates a fedtechjobber.html report in the working directory.

## Work from source 
    $ gem install bundler
    $ bundle install

## Unit test execution
    $ rake test